preloader

System Requirements

The following requirements have to be fulfilled in order to use connect business.

  • Signature and confirmation of the framework agreement including the data processing attachment
  • Invitation and registration for the connect business portal
  • Assignment of the corresponding vehicles
  • Services must be ordered, contracts as well as terms and conditions need to be accepted
  • Vehicles have to be equipped with a compatible communication module such as the HERMES or KOM3 module (one of the codes 360, 362 or 06U)

Requirements Browser (connect business portal)

  • Chrome – current version  
  • Firefox – current version  
  • Internet Explorer 11 or later


Software Requirements (connect business app)

In order to use the connect business app for the driver, an Android or iOS smartphone is needed. Windows Phone devices are not supported.

In addition, the driver needs to be invited by his responsible fleet manager via the connect business portal. Having registered successfully, the driver can download the app in Apple’s AppStore or Google’s PlayStore.

Software requirements (connect business app)

  • Min. Android v 5.x or later
  • Apple iOS 9 or later